"""

adcpreader: a python module for reading and processing RDI ADCP data files.

"""
import setuptools
import sys
sys.path.insert(0,'.')

import adcpreader.__init__ as ai

VERSION = ai.__VERSION__
            
with open("README.rst", "r") as fh:
    long_description = fh.read()
    
with open('requirements.txt') as fh:
    install_requires = [line.strip() for line in fh]



setuptools.setup(
    name="adcpreader",
    version=VERSION,
    author="Lucas Merckelbach",
    author_email="lucas.merckelbach@hereon.de",
    description="A python module to access binary data files generated by RDI ADCPs",
    long_description=long_description,
    long_description_content_type="text/x-rst",
    url='https://adcpreader.readthedocs.io/en/latest/',
    packages=['adcpreader'],
    py_modules=[],
    entry_points = {'console_scripts':[],
                    'gui_scripts':[]
    },
    scripts = [],
    install_requires = install_requires,
    ext_modules = [],
    classifiers=[
        "Programming Language :: Python :: 3",
        'Intended Audience :: Science/Research',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        "Operating System :: POSIX",
    ],
)

    

